### Hierarchy

- FaceExpressions

## Index

### Constructors

- constructor

### Properties

- angry
- disgusted
- fearful
- happy
- neutral
- sad
- surprised

### Methods

- asSortedArray

## Constructors

### constructor

- new FaceExpressions(probabilities: number[] | Float32Array): FaceExpressions

- - Defined in faceExpressionNet/FaceExpressions.ts:12

  #### Parameters

  - ##### probabilities: number[] | Float32Array

  #### Returns FaceExpressions

## Properties

### angry

angry: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:7

### disgusted

disgusted: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:9

### fearful

fearful: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:8

### happy

happy: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:5

### neutral

neutral: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:4

### sad

sad: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:6

### surprised

surprised: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:10

## Methods

### asSortedArray

- asSortedArray(): { expression: string; probability: number }[]

- - Defined in faceExpressionNet/FaceExpressions.ts:22

  #### Returns { expression: string; probability: number }[]